UserSessionEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt.desktop, class: UserSessionEvent
Keywords: java.awt.desktop.UserSessionEvent class

# Class UserSessionEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.UserSessionEvent

All Implemented Interfaces:
  `Serializable`

public final class UserSessionEvent extends AppEvent
Event sent when the user session has been changed. Some systems may provide a reason of a user session change.

Since:
  9
See Also:
  - `UserSessionListener.userSessionActivated(UserSessionEvent)`
  - `UserSessionListener.userSessionDeactivated(UserSessionEvent)`
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `UserSessionEvent.Reason`
  Kinds of available reasons of user session change.

- ## Field Summary

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserSessionEvent(UserSessionEvent.Reason reason)`
  Constructs a `UserSessionEvent`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserSessionEvent.Reason`
  `getReason()`
  Gets a reason of the user session change.

  ### Methods declared in class EventObject

  `getSource, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.
  `String`
  `toString()`
  Returns a String representation of this EventObject.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### UserSessionEvent

    public UserSessionEvent(UserSessionEvent.Reason reason)
    Constructs a `UserSessionEvent`.
    Parameters:
      `reason` - the reason of the user session change
    Throws:
      `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
      `UnsupportedOperationException` - if Desktop API is not supported on the current platform
    See Also:
      - `Desktop.isDesktopSupported()`
      - `GraphicsEnvironment.isHeadless()`

- ## Method Details

  - ### getReason

    public UserSessionEvent.Reason getReason()
    Gets a reason of the user session change.
    Returns:
      reason a reason
    See Also:
      - `UserSessionEvent.Reason.UNSPECIFIED`
      - `UserSessionEvent.Reason.CONSOLE`
      - `UserSessionEvent.Reason.REMOTE`
      - `UserSessionEvent.Reason.LOCK`